1
Philips Support

Which devices are compatible with my Philips Sonicare App?

Published on 2021-08-24
Your Philips Sonicare App supports every smartphone that runs on Android 6.0 and higher and every iPhone that runs on iOS 11.0 and higher. You can download the app by clicking here on Google Play Store and or the iOS App Store.
 
Contact Philips

We are happy to help you

Looking for something else?

Discover all Philips Support options

Our site can best be viewed with the latest version of Microsoft Edge, Google Chrome or Firefox.